import { gql } from '@apollo/client';

export const GET_GROUPS = gql`
  query GetGroups {
    groups {
      id
      name
      tasks {
        id
        name
        printCount
        lastPrintedAt
        steps {
          id
          name
          instructions
          order
          printCount
          lastPrintedAt
        }
      }
    }
  }
`;

export const GET_TASKS = gql`
  query GetTasks($groupId: ID!) {
    tasks(groupId: $groupId) {
      id
      name
      printCount
      lastPrintedAt
      steps {
        id
        name
        instructions
        order
        printCount
        lastPrintedAt
        notes {
          id
          content
          createdAt
          user {
            id
            name
          }
        }
      }
    }
  }
`;

export const GET_STEP = gql`
  query GetStep($id: ID!) {
    step(id: $id) {
      id
      name
      instructions
      order
      printCount
      lastPrintedAt
      notes {
        id
        content
        createdAt
        user {
          id
          name
        }
      }
    }
  }
`;

export const GET_USERS = gql`
  query GetUsers {
    users {
      id
      name
    }
  }
`;